Foros del Web » Programando para Internet » PHP »

PHP 4.3.0 y las sesiones

Estas en el tema de PHP 4.3.0 y las sesiones en el foro de PHP en Foros del Web. He actualizado mi versión de PHP a la 4.3.0 y me ha salido el siguiente warning: Warning: Unknown(): Your script possibly relies on a session ...
  #1 (permalink)  
Antiguo 21/01/2003, 06:00
 
Fecha de Ingreso: julio-2002
Ubicación: Elche
Mensajes: 153
Antigüedad: 15 años, 5 meses
Puntos: 0
PHP 4.3.0 y las sesiones

He actualizado mi versión de PHP a la 4.3.0 y me ha salido el siguiente warning:

Warning: Unknown(): Your script possibly relies on a session side-effect which existed until PHP 4.2.3. Please be advised that the session extension does not consider global variables as a source of data, unless register_globals is enabled. You can disable this functionality and this warning by setting session.bug_compat_42 or session.bug_compat_warn to off, respectively. in Unknown on line 0

¿Alguien sabe a que es debido?

Muchas gracias y un saludo.
__________________
Hazlo o no lo hagas, pero nunca lo intentes

www.clubfronteniselche.com
  #2 (permalink)  
Antiguo 21/01/2003, 07:18
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
Tocastes esto:

You can disable this functionality and this warning by setting session.bug_compat_42 or session.bug_compat_warn to off, respectively.

Ahí te dice q si pones eso a OFF .. dejaras de ver ese Warning ...

De todas formas:

Como propagas el SID en tu programación .. asumes q es global y automatico ? ..

session.use_trans_sid = 0
(asi esta por defecto en PHP 4.3.0 en adelante) .. si quieres que PHP propague el SID en modo automatico usalo a 1 .. (ON)


Un saludo,
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 08:59.